# std::chrono::time_point::operator+, operator-

From cppreference.com
< cpp‎ | chrono‎ | time point

| (1) |
time_point& operator+=( const duration& d ); |  | (until C++17)
constexpr time_point& operator+=( const duration& d ); |  | (since C++17)
| (2) |
time_point& operator-=( const duration& d ); |  | (until C++17)
constexpr time_point& operator-=( const duration& d ); |  | (since C++17)

Modifies the time point by the given duration.

1) Applies the offset `d` to `pt`. Effectively, `d` is added to the internally stored duration `d_` as d_ += d.
2) Applies the offset `d` to `pt` in negative direction. Effectively, `d` is subtracted from internally stored duration `d_` as d_ -= d.

### Parameters

d | - | a time offset to apply

### Return value

*this.

### Exceptions

(none)

### See also

operator+operator- | modifies the time point by the given duration (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/chrono/time_point/operator_arith&oldid=88288"